Subject: Re: bug#29078: 25.2; font issue with FreeType 2.8; should not use the rounded ascender and descender

From: Vincent Lefevre <[email-masked]>
Date: Tue, 19 Nov 2019 12:34:25 +0100

On 2019-11-19 11:07:20 +0100, Robert Pluim wrote:
> Iʼll note that Vincent's sample file displays wrong on macOS as well
> (this is with
> mac-ct:-*-Hack-normal-normal-normal-*-14-*-*-*-m-0-iso10646-1 (#x4C7),
> although Menlo shows similar artifacts, and Inconsolata gets the
> character widths wrong as well).

It seems different: no gap, but line joining is a bit wrong.
And artifacts are also visible at column joining.

I would tend to say that this is a completely different issue:
something buggy in the rendering algorithm rather than the
interpretation of the metrics.

BTW, note that my sample file is an excerpt from Markus Kuhn's UTF-8
demo at <https://www.cl.cam.ac.uk/~mgk25/ucs/examples/UTF-8-demo.txt>.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)